---
search:
  tags:
    - database-services
    - GET
seo:
  description: >-
    List database services. Reference for the GET /api/v1/database-services
    endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: List database services
  badge: GET
title: List database services
type: openapi-operation
---
`GET /api/v1/database-services`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
[
  {
    "apply_pending": {
      "caps_stale": true,
      "guard_missing": true,
      "licensing_setup": true,
      "restart_marker": true
    },
    "backupConfigOutOfSync": true,
    "backupNeedsAttention": true,
    "backupUnprotected": true,
    "created_at": "string",
    "data_dir": "string",
    "database_name": "string",
    "extension_versions": {
      "property1": "string",
      "property2": "string"
    },
    "extensions": [
      "string"
    ],
    "health": {
      "checked_at": "2019-08-24T14:15:22Z",
      "components": [
        {
          "key": "patroni",
          "message": "string",
          "name": "string",
          "status": "healthy"
        }
      ],
      "reason": "string",
      "since": "2019-08-24T14:15:22Z",
      "status": "healthy"
    },
    "id": "string",
    "license_enforced": true,
    "license_grant_missing": true,
    "livesync_target": true,
    "name": "string",
    "pack_release": "string",
    "pg_version": "string",
    "pg_version_minor": "string",
    "postgresql_exists": true,
    "redeploy_recommended": true,
    "status": "string",
    "timescaledb_version": "string",
    "topology": "single_node",
    "updates_available": true
  }
]
```
